// dofancyprinting.cpp
// Glenn G. Chappell
// 17 Sep 2013
//
// For CS 202 Fall 2013
// Driver for class FancyPrinter
// Demo of objects in a container

#include "fancyprint.h"  // For class FancyPrinter

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <vector>
using std::vector;


int main()
{
    // Make a vector of FancyPrint objects
    vector<FancyPrint> fprinters;
    FancyPrint fp;

    fp.setMsg("Hey");
    fp.setLen(7);
    fprinters.push_back(fp);

    fp.setMsg("Howdy thar");
    fp.setLen(1);
    fprinters.push_back(fp);

    fp.setMsg("How's it goin', eh?");
    fp.setLen(3);
    fprinters.push_back(fp);

    fp.setMsg("Bye now");
    fp.setLen(13);
    fprinters.push_back(fp);

    // Tell all the objects to print
    cout << "Here are some FancyPrint objects, doin' their stuff:"
         << endl;
    for (unsigned int i = 0; i != fprinters.size(); ++i)
    {
        cout << endl;
        fprinters[i].print();
    }

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

